%global gem_name rr

Summary: RR (Double Ruby) is a test double framework 
Name: rubygem-%{gem_name}
Version: 1.1.2
Release: %mkrel 1
Group: Development/Ruby
License: MIT
URL: http://pivotallabs.com
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: http://s3.amazonaws.com/rubygem-rr/tests/v%{version}.tar.gz
Requires: ruby
Requires: rubygems 
BuildRequires: ruby-irb
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}


%description
RR (Double Ruby) is a test double framework that features a rich selection of
double techniques and a terse syntax.

A Test Double is a generalization of something that replaces a real object to
make it easier to test another object. Its like a stunt double for tests.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"

%gem_install

tar -xvzf %{SOURCE1}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# Remove leftovers.
rm  %{buildroot}%{gem_instdir}/Rakefile
rm  %{buildroot}%{gem_instdir}/Appraisals
rm  -rf %{buildroot}%{gem_instdir}/gemfiles

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CREDITS.md
%exclude %{gem_cache}
%exclude %{gem_instdir}/Gemfile
%{gem_spec}
%{gem_libdir}

%files doc
%doc %{gem_docdir}/*
%{gem_instdir}/spec
%{gem_instdir}/doc
%{gem_instdir}/rr.gemspec

%changelog
* Sun Nov 02 2014 bb <bb> 1.1.2-1pclos2014
- import
